# Conditionals to help breaking qpid-jms <-> activemq dependency cycle
%if 0%{?fedora}
%bcond_with activemq
%endif
Name:          qpid-jms
Version:       0.9.0
Release:       5%{?dist}
Summary:       AMQP Java Message Service Framework
License:       ASL 2.0
URL:           http://qpid.apache.org/components/jms
Source0:       http://www.apache.org/dist/qpid/jms/%{version}/apache-%{name}-%{version}-src.tar.gz

Patch0: qpid-jms-netty-4.1.patch

BuildRequires: maven-local
BuildRequires: mvn(io.netty:netty-buffer)
BuildRequires: mvn(io.netty:netty-common)
BuildRequires: mvn(io.netty:netty-handler)
BuildRequires: mvn(io.netty:netty-transport)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache:apache:pom:)
BuildRequires: mvn(org.apache.geronimo.specs:geronimo-jms_1.1_spec)
BuildRequires: mvn(org.apache.geronimo.specs:specs:pom:)
BuildRequires: mvn(org.apache.qpid:proton-j)
BuildRequires: mvn(org.apache.rat:apache-rat-plugin)
BuildRequires: mvn(org.codehaus.mojo:javacc-maven-plugin)
BuildRequires: mvn(org.hamcrest:hamcrest-all)
BuildRequires: mvn(org.mockito:mockito-all)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)

%if %{with activemq}
# qpid-jms-discovery test deps
# activemq:5.13.2
# https://bugzilla.redhat.com/show_bug.cgi?id=998251
BuildRequires: mvn(org.apache.activemq:activemq-amqp)
BuildRequires: mvn(org.apache.activemq:activemq-broker)
BuildRequires: mvn(org.apache.activemq:activemq-jaas)
BuildRequires: mvn(org.apache.activemq:activemq-kahadb-store)
BuildRequires: mvn(org.apache.activemq:activemq-spring)
%endif

%if 0
# qpid-jms-interop-tests/qpid-jms-activemq-tests test deps
BuildRequires: mvn(org.fusesource.joram-jms-tests:joram-jms-tests:1.0)
BuildRequires: mvn(org.eclipse.jetty.aggregate:jetty-all-server:8.1.17.v20150415)
%endif

BuildArch:     noarch

%description
The QpidJMS project provides a JMS based client that uses the
Advanced Message Queuing Protocol (AMQP) v1.0 protocol.

%package client
Summary:       QpidJMS Client

%description client
The core JMS Client implementation.

%package discovery
Summary:       QpidJMS Discovery Library

%description discovery
The Broker Discovery module for QpidJMS.

%package examples
Summary:       QpidJMS Examples

%description examples
Examples for QpidJMS.

%package parent
Summary:       QpidJMS Parent POM

%description parent
The QpidJMS Parent POM.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n apache-%{name}-%{version}-src
%patch0 -p1

%pom_remove_plugin -r :jacoco-maven-plugin
# Unsupported surefire arguments
%pom_remove_plugin :maven-surefire-plugin
%pom_xpath_remove pom:properties/pom:argLine

%pom_disable_module apache-%{name}
%pom_disable_module %{name}-docs
%pom_disable_module %{name}-interop-tests

%if %{without activemq}
rm -r %{name}-discovery/src/test/java/*
%pom_remove_dep org.apache.activemq: %{name}-discovery
%endif

%build
# Disable test suite fails only on koji
%mvn_build -sf -- -Pgenerate-selector-parser

%install
%mvn_install

%files client -f .mfiles-%{name}-client
%doc README.md %{name}-docs/Configuration.md apache-%{name}/src/main/assembly/README.txt
%license LICENSE NOTICE

%files discovery -f .mfiles-%{name}-discovery
%license LICENSE NOTICE

%files examples -f .mfiles-%{name}-examples
%doc %{name}-examples/README.txt
%license LICENSE NOTICE

%files parent -f .mfiles-%{name}-parent
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Thu Aug 17 2017 Mat Booth <mat.booth@redhat.com> - 0.9.0-5
- Fix build against netty 4.1

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jul 10 2016 gil cattaneo <puntogil@libero.it> 0.9.0-2
- disable test suite

* Sat Apr 30 2016 gil cattaneo <puntogil@libero.it> 0.9.0-1
- update to 0.9.0

* Tue Mar 15 2016 gil cattaneo <puntogil@libero.it> 0.8.0-1
- update to 0.8.0

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Oct 20 2015 gil cattaneo <puntogil@libero.it> 0.6.0-2
- run qpid-jms-client test suite only
- moved parent pom in its sub package

* Sun Oct 18 2015 gil cattaneo <puntogil@libero.it> 0.6.0-1
- update to 0.6.0

* Thu Sep 24 2015 gil cattaneo <puntogil@libero.it> 0.5.0-1
- update to 0.5.0

* Mon Sep 07 2015 gil cattaneo <puntogil@libero.it> 0.3.0-1
- update to 0.3.0

* Fri May 15 2015 gil cattaneo <puntogil@libero.it> 0.2.0-1
- initial rpm
